<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Signup</title>
    </head>
    <body>
      <header>
        <nav>
            {% if user.is_authenticated %}
                <ul>
                    <li>
                        <a href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li>
                        <a href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                </ul>
            {% else %}
                <ul>
                    <li>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Signup</a>
                    </li>
                </ul>
            {% endif %}
        </nav>
      </header>
        <main>
            <div>
                <h1>Signup</h1>
                <form method="post">
                    {% csrf_token %} {{ form.as_p }}
                    <button>Signup</button>
                </form>
            </div>
        </main>
    </body>
</html>
